Bug 1867216 - Reserve resources for active users (Workstation)
Summary: Reserve resources for active users (Workstation)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Berg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-08-07 17:55 UTC by Ben Cotton
Modified: 2021-11-30 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:22:03 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-08-07 17:55:45 UTC
This is a tracking bug for Change: Reserve resources for active users (Workstation)
For more details, see: https://fedoraproject.org/wiki/Changes/Reserve_resources_for_active_user_WS

This proposal adds cgroup based resource protections for the active graphical session. This is done by passing a memory protection of 250MiB to active users (capped at 10% of system memory) and by enabling other cgroup controllers (CPU, IO) to ensure important session processes get the resources they need.

Comment 1 Ben Cotton 2020-08-12 14:27:44 UTC
Branching F33 Change Tracker bugs.

Yesterday was the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 2 Benjamin Berg 2020-08-17 07:50:32 UTC
The change is testable by manually installing uresourced on either F32 to F33.

Comment 3 Ben Cotton 2020-08-27 01:11:51 UTC
Yesterday we reached the Code complete (100% code complete) deadline for Fedora 33 Changes. If your Change is complete, please set this tracking bug to ON_QA. If you need to defer this Change to Fedora 34, please let NEEDINFO me.

As a reminder, we are now in the Beta Freeze. If you need to land package updates, please propose it as a Freeze Exception at https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 4 Benjamin Berg 2020-08-31 09:32:00 UTC
Everything was ready when we hit code complete (uresourced package is available, enabled and installed by default in Workstation).

There are a few problems with the current package, I have upstream fixes for these. While the fixes are quite important for the functionality, the impact is relatively low, meaning it would be OK to do a post-release package update.

Comment 5 Ben Cotton 2021-11-04 17:33:54 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-11-30 16:22:03 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.